Table of Contents

Class: DNSOnTCP | Twisted-0.19.0/twisted/protocols/dns.py
--- | ---
Base Classes |
--- | ---
DNS protocol.Protocol
Methods |
--- | ---
connectionLost connectionMade dataReceived setQuery writeMessage
| connectionLost
    connectionLost ( self )
| connectionMade
    connectionMade ( self )
| dataReceived
    dataReceived ( self,  data )
| setQuery
    setQuery (
            self,
            name,
            callback,
            type,
            cls,
            )
| writeMessage
    writeMessage ( self,  message )
Exceptions |
--- | ---
NotConnectedError

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:57 2002 by HappyDoc version 2.0